[LAU] Qtractor 0.4.8, compile prob with libslv2 on Kubuntu Hardy

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: LAU <linux-audio-user@...>
Date: Tuesday, January 25, 2011 - 10:15 am

This is Qtractor 0.4.8 with Rubberband and it's deps, and the 2 header files
from Steinbergs vst-sdk-2.4. Installed on Kubuntu Hardy (8.04).

Lv2core version 2.0-0-ematech1
Rubberband version 1.5.0
vamp-plugin-sdk-1.3

It compiled ok before I added libslv2, and libslv2-dev (version 0.6.0 from
ematech repo), and told me that LV2 plugin capability was disabled.

With libslv2 installed the compiler grinds to a halt. Relevant bit below.

Any idea what the problem is. Libslv2 too old perhaps? I couldnt install
libslv2-9 which is for Kubuntu Intrepid, as it results in a dependancy hell
when trying to install its -dev package.

-I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore
-I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui
-I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I.
-I/usr/include/qt4 -I/usr/local/include -I/usr/include -I/usr/include/qt4
-Ivestige -Ilv2 -I.moc -I.ui -o .obj/qtractorLv2Plugin.o
qtractorLv2Plugin.cpp
qtractorLv2Plugin.cpp:211: warning: unused parameter ‘pGtkWindow’
qtractorLv2Plugin.cpp: In member function ‘virtual void
qtractorLv2Plugin::openEditor(QWidget*)’:
qtractorLv2Plugin.cpp:1026: error: ‘gtk_widget_get_window’ was not declared in
this scope
make[2]: *** [.obj/qtractorLv2Plugin.o] Error 1
make[2]: Leaving directory
`/home/djmons/Downloads/Qtractor/qtractor-0.4.8/src'
make[1]: *** [sub-src-make_default] Error 2
make[1]: Leaving directory `/home/djmons/Downloads/Qtractor/qtractor-0.4.8'
make: *** [src/qtractor] Error 2
djmons@djmons-desktop:~/Downloads/Qtractor/qtractor-0.4.8$

Thanks for any suggestions.

Nigel.

_______________________________________________
Linux-audio-user mailing list
Linux-audio-user@lists.linuxaudio.org
http://lists.linuxaudio.org/listinfo/linux-audio-user

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[LAU] Qtractor 0.4.8, compile prob with libslv2 on Kubuntu H..., Nigel Henry, (Tue Jan 25, 10:15 am)
Re: [LAU] Qtractor 0.4.8, compile prob with libslv2 on Kubun..., Jeremy Jongepier, (Tue Jan 25, 10:31 am)